<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta name="generator" content="HTML Tidy, see www.w3.org">

    <title>Simple Z39.50 OPAC</title>
<style type="text/css">
      input {
        font-size: 2em;
        border: 2px solid red;
        width: 90%;
        text-align: center;
      }
      input:hover, input:focus{border-color: blue;}
      span.num_of_results{
        font-size: 2em;
      }
      body {
      text-align: center;
      }
      div.record {
        text-align: left;
        border-bottom: 2px dotted black;
        width: 75%;
        margin: auto;
        margin-bottom: 3px;
        padding: 10px;
      }
      a {text-decoration: none;}
      a:hover {color: red; text-decoration:underline;}
      a.direction {
        font-size: 1.5em;
        color: red;
        text-decoration: none;
        border: 3px solid white;
        margin: 5px;
        padding: 5px;
      }
      a.direction:hover, a.direction:focus {
        color: blue;
        border: 3px solid blue;
      }
      .set_number{font-size: 1.2em; margin: 0px 10px 10px 0px;}
    
</style>
<script type="text/javascript">
function toggleLayer( whichLayer )
{
  var elem, vis;
  if( document.getElementById ) // this is the way the standards work
    elem = document.getElementById( whichLayer );
  else if( document.all ) // this is the way old msie versions work
      elem = document.all[whichLayer];
  else if( document.layers ) // this is the way nn4 works
    elem = document.layers[whichLayer];
  vis = elem.style;
  // if the style.display value is blank we try to figure it out here
  if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
    vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
  vis.display = (vis.display==''||vis.display=='block')?'none':'block';
}
</script>
  </head>

  <body>
    <h1>Simple Rails OPAC</h1>
    Search a zebra database of 250,000+ MARCXML records. 

    <form action="/search/found" >
      <br>
       <input type="text" name="term" id="term" value="<%= @data.gsub("\"","&quot;") %>"> 
          <script type="text/javascript">
            document.getElementById('term').focus();
          </script>
    </form>
    Number of records found: <span class="num_of_results"><%= @rset_size %></span>
    <br>
     Time to process results: <span class="num_of_results"><%= @time_difference %></span> 
    <br>
    <br>
     <% unless @start <= 0 %><%= link_to "BACK",  {:controller => "/search/found", :term => "#{@data}", :start => "#{@start - @per_page}", :per_page => "#{@per_page}"}, :class => "direction" %><% end %> <% unless @start + @per_page >= @rset_size -%>
     <%= link_to "NEXT", {:controller => "/search/found", :term => "#{@data}", :start => "#{@start + @per_page}", :per_page => "#{@per_page}"}, :class => "direction" %><% end %> 
    <br>
     
    <br>
     <% i = @start + 1 %> <% @total_records.each do |rec| %> 
     
    <div class="record">
      <span class="set_number"><%= i %></span> <%= link_to "#{rec['245']['a']}", :controller => "record/show", :r => "#{rec['901']['a']}", :term => "#{@data}", :start => @start %> <%=  "#{rec['245']['b'] }"  if rec['245']['b'] %> <%= "#{rec['245']['c']}" if rec['245']['c'] %> <%= "#{rec['260']['c'] }" if rec['260'] && rec['260']['c'] %>
      
    </div>
    <% i += 1 %><%end%>. 
    <br>
    <% unless @start <= 0 %><%= link_to "BACK",  {:controller => "/search/found", :term => "#{@data}", :start => "#{@start - @per_page}", :per_page => "#{@per_page}"}, :class => "direction" %><% end %> <% unless @start + @per_page >= @rset_size -%>
     <%= link_to "NEXT", {:controller => "/search/found", :term => "#{@data}", :start => "#{@start + @per_page}", :per_page => "#{@per_page}"}, :class => "direction" %><% end %> 
    <br>
  </body>
</html>


